caption: The IP handling policy of WebRTC
default: default
desc: This policy allows restricting which IP addresses and interfaces WebRTC uses
  when attempting to find the best available connection. See RFC 8828 section 5.2
  (https://tools.ietf.org/html/rfc8828.html#section-5.2). When unset, defaults to
  using all available interfaces.
example_value: default
features:
  dynamic_refresh: true
  per_profile: true
future_on:
- fuchsia
items:
- caption: WebRTC will use all available interfaces when searching for the best path.
  name: default
  value: default
- caption: WebRTC will only use the interface connecting to the public Internet, but
    may connect using private IP addresses.
  name: default_public_and_private_interfaces
  value: default_public_and_private_interfaces
- caption: WebRTC will only use the interface connecting to the public Internet, and
    will not connect using private IP addresses.
  name: default_public_interface_only
  value: default_public_interface_only
- caption: WebRTC will use TCP on the public-facing interface, and will only use UDP
    if supported by a configured proxy.
  name: disable_non_proxied_udp
  value: disable_non_proxied_udp
owners:
- file://third_party/blink/renderer/modules/peerconnection/OWNERS
- toprice@chromium.org
schema:
  enum:
  - default
  - default_public_and_private_interfaces
  - default_public_interface_only
  - disable_non_proxied_udp
  type: string
supported_on:
- chrome.*:91-
- chrome_os:91-
tags: []
type: string-enum
